Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1598 javasidekick intermittently hangs on typing myobj.foo().

closed-fixed
nobody
None
7
2012-05-23
2012-05-07
Mark Messer
No

Normally I can type expressions like myobj.foo().bar() with no problem.

Occaisionally I will type myobj.foo(), and jEdit hangs when I type the second dot.

When this happens, I have to kill jEdit and start it again. I can then finish the expression with no

problem.

---
This is intermittent. It happened twice (3 times?) in two weeks. I have attached the source file I

was editing and the activity log from the first occaision.

I had started writing a Java program. I was currently editing this line.
if ("Y" != response.toUpperCase()) {
I tried to change it as follows
if (response.toUpperCase().compareTo("Y") != 0) {
I began by adding a . after toUpperCase(). jEdit hung.

---
Additional information: I get errors on startup. I don't know if it is related. This is copied from

the terminal window. See the activity log too.

1:25:35 PM [main] [error] JEditSwingTrayIcon: Unable to add Tray icon
1:25:35 PM [main] [error] JEditSwingTrayIcon: java.awt.AWTException: TrayIcon couldn't be displayed.
1:25:35 PM [main] [error] JEditSwingTrayIcon: at sun.awt.X11.XTrayIconPeer.<init>

(XTrayIconPeer.java:263)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at sun.awt.X11.XToolkit.createTrayIcon

(XToolkit.java:1058)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at java.awt.TrayIcon.addNotify(TrayIcon.java:698)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at java.awt.SystemTray.add(SystemTray.java:258)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at

org.gjt.sp.jedit.gui.tray.JTrayIconManager.addTrayIcon(JTrayIconManager.java:84)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at org.gjt.sp.jedit.jEdit.propertiesChanged

(jEdit.java:968)
1:25:35 PM [main] [error] JEditSwingTrayIcon: at org.gjt.sp.jedit.jEdit.main(jEdit.java:470)

---
The activity log contains most of this.

jEdit version - 4.5.1
Plugins -
errorlist, sidekick, kappalayout.jar, eclipseicons, CommonControlsPlugin, SideKick
Java version - OpenJDK 1.6.0_23

Operating system - Ubuntu 11.10 (hosted on Vista with VMware Player)

Discussion

  • Mark Messer
    Mark Messer
    2012-05-07

    Activity log

     
    Attachments
  • Mark Messer
    Mark Messer
    2012-05-07

    Source file

     
    Attachments
    • priority: 5 --> 7
    • summary: jEdit intermittently hangs on typing myobj.foo().bar() --> javasidekick intermittently hangs on typing myobj.foo().
     
  • Mark Messer
    Mark Messer
    2012-05-07

    Thanks. I installed it (and a new dependency, the Classpath plugin). I will report again if it happens again.

    I still get error messages about the JEditSwingTrayIcon at startup. That must be different problem.

     
  • will69
    will69
    2012-05-22

    I can reproduce this problem *always* with the current version. (The parse button changes to a stop sign and jEdit is locked down.) I can no longer reproduce it after installing JavaSideKick nightly 2012-05-14_12-00-58. Please release!

     
  • You say, you got it!

     
    • status: open --> closed-fixed